Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Class OverridePolicy

    java.lang.Object
      org.eclipse.ui.navigator.OverridePolicy

    public final class OverridePolicy

extends Object

Enumeration of the OverridePolicy values supported by the Common Navigator.

Since:
  3.4

Field Summary
`static OverridePolicy[]` `ENUM_ARRAY` The ordered array of possible enumeration values.
`static OverridePolicy` `InvokeAlwaysRegardlessOfSuppressedExt` Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as a OverridePolicy enumeration.
`static String` `InvokeAlwaysRegardlessOfSuppressedExt_LITERAL` Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as a String.
`static int` `InvokeAlwaysRegardlessOfSuppressedExt_VALUE` Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as an int.
`static OverridePolicy` `InvokeOnlyIfSuppressedExtAlsoVisibleAndActive` Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as a OverridePolicy enumeration.
`static String` `InvokeOnlyIfSuppressedExtAlsoVisibleAndActive_LITERAL` Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as a String.
`static int` `InvokeOnlyIfSuppressedExtAlsoVisibleAndActive_VALUE` Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as an int.

Constructor Summary
`protected` `OverridePolicy(int aValue, String aLiteral)`

Method Summary
`static OverridePolicy` `get(int aValue)` Returns the correct instance of the OverridePolicy ENUM for aValue.
`static OverridePolicy` `get(String aLiteral)` Returns the correct instance of the OverridePolicy ENUM for aLiteral.
`String` `getLiteral()`
`int` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### InvokeOnlyIfSuppressedExtAlsoVisibleAndActive_VALUE

    public static final int InvokeOnlyIfSuppressedExtAlsoVisibleAndActive_VALUE

  Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as an int.

  See Also:
    Constant Field Values

### InvokeAlwaysRegardlessOfSuppressedExt_VALUE

    public static final int InvokeAlwaysRegardlessOfSuppressedExt_VALUE

  Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as an int.

  See Also:
    Constant Field Values

### InvokeOnlyIfSuppressedExtAlsoVisibleAndActive_LITERAL

    public static final String InvokeOnlyIfSuppressedExtAlsoVisibleAndActive_LITERAL

  Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as a String.

  See Also:
    Constant Field Values

### InvokeAlwaysRegardlessOfSuppressedExt_LITERAL

    public static final String InvokeAlwaysRegardlessOfSuppressedExt_LITERAL

  Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as a String.

  See Also:
    Constant Field Values

### InvokeOnlyIfSuppressedExtAlsoVisibleAndActive

    public static final OverridePolicy InvokeOnlyIfSuppressedExtAlsoVisibleAndActive

  Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as a OverridePolicy enumeration.

### InvokeAlwaysRegardlessOfSuppressedExt

    public static final OverridePolicy InvokeAlwaysRegardlessOfSuppressedExt

  Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as a OverridePolicy enumeration.

### ENUM_ARRAY

    public static final OverridePolicy[] ENUM_ARRAY

  The ordered array of possible enumeration values.

Constructor Detail

### OverridePolicy

    protected OverridePolicy(int aValue,
                             String aLiteral)

Method Detail

### get

    public static OverridePolicy get(String aLiteral)

  Returns the correct instance of the OverridePolicy ENUM for aLiteral.

  This method will return InvokeAlwaysRegardlessOfSuppressedExt if the supplied value of aLiteral is invalid.

  Parameters:
    `aLiteral` - One of the defined *_LITERAL constants of this class
  Returns:
    The corresponding OverridePolicy Enum or InvokeAlwaysRegardlessOfSuppressedExt if aLiteral is invalid

### get

    public static OverridePolicy get(int aValue)

  Returns the correct instance of the OverridePolicy ENUM for aValue.

  This method will return InvokeAlwaysRegardlessOfSuppressedExt if the supplied value of aValue is invalid.

  Parameters:
    `aValue` - One of the defined *_VALUE constants of this class
  Returns:
    The corresponding OverridePolicy Enum or InvokeAlwaysRegardlessOfSuppressedExt if aValue is invalid

### getLiteral

    public String getLiteral()

  Returns:
    The literal string for this specific OverridePolicy.

### getValue

    public int getValue()

  Returns:
    The integer value for this specific OverridePolicy.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.